Package net.shibboleth.spring.security.trust

# Class CertPathPKIXValidationOptionsParser

java.lang.Object
org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser
net.shibboleth.shared.spring.custom.AbstractCustomBeanDefinitionParser
net.shibboleth.spring.security.trust.PKIXValidationOptionsParser
net.shibboleth.spring.security.trust.CertPathPKIXValidationOptionsParser

All Implemented Interfaces:
  `BeanDefinitionParser`

public class CertPathPKIXValidationOptionsParser extends PKIXValidationOptionsParser
Spring bean definition parser for {urn:mace:shibboleth:2.0:security}ValidationOptions elements which have a type specialization of {urn:mace:shibboleth:2.0:security}CertPathValidationOptionsType.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final QName`
`POLICY_OID_ELEMENT`
PolicyOid Element type.
`static final QName`
`SCHEMA_TYPE`
Schema type.

### Fields inherited from class net.shibboleth.spring.security.trust.PKIXValidationOptionsParser

`ELEMENT_NAME`

### Fields inherited from class net.shibboleth.shared.spring.custom.AbstractCustomBeanDefinitionParser

`CUSTOM_PARSER_PROPERTIES_LOCATION`

### Fields inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser

`ID_ATTRIBUTE, NAME_ATTRIBUTE`

## Constructor Summary

Constructors
Constructor
Description
`CertPathPKIXValidationOptionsParser()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`doParse(Element element, ParserContext parserContext, BeanDefinitionBuilder builder)`
`protected Class<?>`
`getBeanClass(Element element)`

### Methods inherited from class net.shibboleth.spring.security.trust.PKIXValidationOptionsParser

`shouldGenerateId`

### Methods inherited from class net.shibboleth.shared.spring.custom.AbstractCustomBeanDefinitionParser

`getCustomProperty, registerBeanDefinition`

### Methods inherited from class org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser

`doParse, getBeanClassName, getParentName, parseInternal`

### Methods inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser

`parse, postProcessComponentDefinition, resolveId, shouldFireEvents, shouldGenerateIdAsFallback, shouldParseNameAsAliases`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### SCHEMA_TYPE

@Nonnull public static final QName SCHEMA_TYPE
Schema type.

### POLICY_OID_ELEMENT

@Nonnull public static final QName POLICY_OID_ELEMENT
PolicyOid Element type.

## Constructor Details

### CertPathPKIXValidationOptionsParser

public CertPathPKIXValidationOptionsParser()

## Method Details

### getBeanClass

@Nonnull protected Class<?> getBeanClass(@Nonnull Element element)

Overrides:
  `getBeanClass` in class `PKIXValidationOptionsParser`

### doParse

protected void doParse(@Nonnull Element element, @Nonnull ParserContext parserContext, @Nonnull BeanDefinitionBuilder builder)

Overrides:
  `doParse` in class `PKIXValidationOptionsParser`